//--------------------------------------------------------
// class Integers
// Feb. 9/97
// Tanya Ruppell & Labonny Biswas
//
// Histogram inputs an arbitrary number of integers 
// between 1 and 100, and counts the frequency of occurrences
// of each range of integer entered. It outputs a histogram 
// of the ranges and frequencies, with one * representing
// one occurence of an integer within the range.
//--------------------------------------------------------

import java.io.*;

class Histogram {

  private final static int LOWBOUND = 1;
  private final static int UPBOUND = 100;
  private final static int SENTINEL = 0;
  private final static int INTERVAL = 10;
  private static int[] histarray;
 
 public static void main (String[] args) throws IOException {
 
   int temp_int=-1;          // holds current integer input
   DataInputStream stdin = new DataInputStream(System.in);

   histarray = new int[UPBOUND/INTERVAL];
   initialize();            // set all array entries to zero

   while (temp_int != SENTINEL) {

      System.out.println("Enter an integer between "+ LOWBOUND +
			 " and " + UPBOUND + " (" + SENTINEL + 
                         " to quit.)");
      temp_int = Integer.parseInt(stdin.readLine());

      if ((temp_int >= LOWBOUND) && (temp_int <= UPBOUND)) {
	// input is within correct range
	histarray[(temp_int-1)/INTERVAL] += 1;
      }
   }
   
   printhist();
 }
   
  private static void initialize() {
    // initializes the intarray entries to zeroes

    for (int i = 0; i < UPBOUND/INTERVAL; i++) {
      histarray[i] = 0;
    }
  }

  private static void printhist() {
    // outputs the intervals between LOWBOUND and UPBOUND
    // and the numbers of integers in each, represented by *'s

    String format;       // used to format the output
    System.out.println();
    for (int i = 0; i < UPBOUND/INTERVAL; i++) {
      System.out.print((i*INTERVAL+1) + "-" + ((i+1)*INTERVAL) + "\t| ");
      for (int j = 1; j <= histarray[i]; j++) {
	System.out.print("*");
      } // for j
      System.out.println();
   
    }// for i
  } // printhist
} // class Histogram
