//--------------------------------------------------------
// class Integers2
// Feb. 9/97
// Tanya Ruppell & Labonny Biswas
//
// Integers2 inputs an arbitrary number of integers 
// between -25 and 25, and counts the number of occurrences
// of each integer entered. It outputs all of the 
// integers that were entered one or more times.
//--------------------------------------------------------

import java.io.*;

class Integers2 {

   private final static int LOWBOUND = -25;
   private final static int UPBOUND = 25;
   private final static int SENTINEL = -100;
   private static int[] intarray;
 
 public static void main (String[] args) throws IOException {
 
   int temp_int=0;          // holds current integer input
   DataInputStream stdin = new DataInputStream(System.in);

   intarray = new int[UPBOUND - LOWBOUND + 1];
   initialize();            // set all array entries to zero

   while (temp_int != SENTINEL) {

      System.out.println("Enter an integer between " + LOWBOUND + 
			 " and " + UPBOUND + " (" + SENTINEL + 
                         " to quit.)");
      temp_int = Integer.parseInt(stdin.readLine());

      if ((temp_int >= LOWBOUND) && (temp_int <= UPBOUND)) {
	// input is within correct range
	intarray[temp_int - LOWBOUND] += 1;
      }
   }
   
   printvalues();
 }
   
  private static void initialize() {
    // initializes the intarray entries to zeroes

    for (int i = LOWBOUND; i <= UPBOUND; i++) {
      intarray[i - LOWBOUND] = 0;
    }
  }

  private static void printvalues() {
    // outputs all the integers entered one or more times
    // and the number of occurrences of each

    String format;       // used to format the output
    System.out.println("Integer: #Occurrences");
    System.out.println("---------------------");
    for (int i = LOWBOUND; i <= UPBOUND; i++) {
      format = "    ";
      if (intarray[i - LOWBOUND] > 0) {
	if ((i <= 9) && (i >= 0)) {
	  format += "  ";
	}
	else if ((i > 9) || (i>=-9)){
	  format += " ";
	}
	System.out.println(format + i + ": " + intarray[i - LOWBOUND]);
      }
    }
  }
}
